Get HPC Jobs for a project
curl --request GET \
--url https://mycluster.domino.tech/api/hpc/v1/jobs \
--header 'X-Domino-Api-Key: <api-key>'import requests
url = "https://mycluster.domino.tech/api/hpc/v1/jobs"
headers = {"X-Domino-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Domino-Api-Key': '<api-key>'}};
fetch('https://mycluster.domino.tech/api/hpc/v1/jobs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"jobs": [
{
"dataPlaneId": {
"id": "000000000000000000000000",
"name": "Local"
},
"id": "6a17183ab03cb818f0f9c27b",
"jobRunCommand": "hello.sh",
"number": 1,
"projectId": "6a17175ab03cb818f0f9c25f",
"stageTime": {
"submissionTime": 1779898426846,
"completedTime": 1779899523770,
"runStartTime": 1779898520599
},
"startedBy": {
"id": "6a162a2d063e69df3329c211",
"username": "integration-test"
},
"status": "Completed",
"tags": [
{
"name": "example",
"tagId": "example"
}
],
"title": "test1",
"requestedResources": {
"cpus": 4,
"gpus": 1,
"memory": 8589934592,
"nodes": 1,
"timeLimit": 60
},
"script": "echo 'Hello World'",
"usage": {
"cpu": 1.3193611323383083,
"memory": 3473408
}
}
],
"pagination": {
"limit": 50,
"offset": 0,
"orderBy": "number",
"sortBy": "desc"
},
"totalCount": 1
}{
"error": "<string>"
}{
"code": "UNAUTHORIZED",
"message": "Authentication is required to access this resource."
}{
"code": "FORBIDDEN",
"message": "You do not have permission to perform this action."
}{
"error": "<string>"
}HPC Jobs
Get HPC Jobs for a project
Retrieve all HPC Jobs that belong to a project. Required permissions: ViewJobs
GET
/
api
/
hpc
/
v1
/
jobs
Get HPC Jobs for a project
Authorizations
nucleus_DominoApiKeynucleus_BearerAuthentication
Query Parameters
Id of project to retrieve HPC Jobs for
Number of HPC Jobs from the start to skip. Defaults to 0.
Total number of HPC Jobs to retrieve. Defaults to 50.
Field to sort HPC Jobs by. Defaults to "number".
Available options:
number, title, command, startedTime, duration, status, user, commentCount Whether to sort ascending or descending. Defaults to false.
Case-insensitive status of HPC Jobs to fetch. Defaults to "all".
Available options:
all, Submitted, Running, Completed, Failed, Cancelled, TimedOut Was this page helpful?
⌘I